Bug 111427 - Add support for .ppsx format
Summary: Add support for .ppsx format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: ARM Android
: medium enhancement
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: (Android)-Unsupported-formats
  Show dependency treegraph
 
Reported: 2017-08-07 06:40 UTC by vihsa
Modified: 2022-04-30 05:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file (271.14 KB, application/vnd.openxmlformats-officedocument.presentationml.slideshow)
2017-08-07 06:48 UTC, vihsa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vihsa 2017-08-07 06:40:45 UTC
Description:
.ppsx file crashes libreoffice viewer on 5.0, 5.1, 5.2, 5.3 alpha versions

Steps to Reproduce:
open attachment Match shapes_S022.ppsx

Actual Results:  
.ppsx file crashes libreoffice viewer

Expected Results:
should not crash

repro:

5.0.0.0.alpha1+-ab465b9
5.1.0.0.alpha1+-1a6ec13
5.1.0.0.alpha1+-5b791ec
5.2.0.0.alpha0+-f6a74ce
5.3.0.0.alpha1+-4136757

os: android 5.1
device: lyf flame 3 [ ls-4001 ]


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Android 5.1; Mobile; rv:57.0) Gecko/57.0 Firefox/57.0
Comment 1 vihsa 2017-08-07 06:48:26 UTC
Created attachment 135203 [details]
test file
Comment 2 Michael Weghorn 2022-04-29 20:07:26 UTC
Opening the sample file works fine by now, so this pending Gerrit change enables support for it:
https://gerrit.libreoffice.org/c/core/+/133648
Comment 3 Commit Notification 2022-04-30 05:11:54 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/965205931162b7fcdc175672354103b40985c6ed

tdf#111427 android: Enable support for .ppsx

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.